import React from 'react'
import { Switch, Route } from "react-router-dom";
import AdminMainPage from './conteiners/adminMainPage/adminMainPage';
import EventForm from "./components/eventForm/eventForm"
import PhotogalaryForm from "./components/adminPhotogalary/adminPhotogalary"
import EventReduxForm from "./components/eventForm/eventReduxForm"

// import {WhatDoWeOffer} from './conteiners/WhatDoWeOffer/WhatDoWeOffer';
// import {RentalTerms} from './conteiners/RentalTerms/RentalTerms.js';
// import {Discount} from './conteiners/Discount/Discount';
import Header from './components/header/header';

export default () => (
    <div className="container">
        {/* <Header /> */}
        <Switch>
            {/* <Route exact path="/" component={Main} />
            <Route exact path="/what_do_we_offer" component={WhatDoWeOffer} />
            <Route exact path="/car_rental-terms" component={RentalTerms} />
            <Route exact path="/discount" component={Discount} /> */}
            
            <Route exact path = '/admin' component = {AdminMainPage} />
            <Route exact path = '/admin/add_new_event' component = {EventForm} />
            <Route exact path = '/admin/my_events' component = {EventReduxForm} />
            <Route exact path = '/admin/photogalary' component = {PhotogalaryForm} />
            
        </Switch>
    </div>
);